> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create manual verification screening

POST https://api.letsdeel.com/rest/screenings/manual-verification
Content-Type: multipart/form-data

Creates a manual identity verification submission as a fallback when automated verification has failed multiple times or when the document's country of issue is not supported by the automated solution.

 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/endpoints/screenings/create-manual-verification

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (multipart/form-data)

This endpoint expects a multipart form with multiple files.

- `back` (file, optional) — The back side of the document
- `front` (file, required) — The front side of the document
- `additional` (file, optional) — An additional document
- `document_type` (enum, required) — The type of document to be verified
- `operation_type` (enum, required) — The type of KYC operation to perform
- `selfie_with_id` (file, required) — A selfie of the user holding the ID document
- `document_country` (string, optional) — The issuing country code of the document to be verified (ISO 3166-1 alpha-2)
- `proof_of_residence` (file, optional) — A proof of residence document
- `translation_required` (boolean, required) — Indicates whether the document requires translation

## Response

### 201

Successful operation

- `data` (ScreeningsManualVerificationPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request - Validation error

- `code` (integer, required)
- `message` (string, required) — Human-readable error message

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 409 Conflict Error

Conflict - There is an existing name change screening pending

- `code` (integer, required)
- `message` (string, required)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### ScreeningsManualVerificationPostResponsesContentApplicationJsonSchemaData

- `created_at` (string, required) — Timestamp when screening was successfully received and processed (ISO 8601)
- `request_id` (string, required) — Unique request identifier

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "additional": "<file: <file1>>",
  "back": "<file: <file1>>",
  "document_type": "PASSPORT",
  "front": "<file: string>",
  "operation_type": "IDENTITY_RESUBMISSION_KYC",
  "proof_of_residence": "<file: <file1>>",
  "selfie_with_id": "<file: string>",
  "translation_required": true
}
```

**Response**

```json
{
  "data": {
    "created_at": "2017-07-21T17:32:28Z",
    "request_id": "64rpWq2xQT225nGMQIaKg"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/screenings/manual-verification"

files = {
    "additional": "open('<file1>', 'rb')",
    "back": "open('<file1>', 'rb')",
    "front": "open('string', 'rb')",
    "proof_of_residence": "open('<file1>', 'rb')",
    "selfie_with_id": "open('string', 'rb')"
}
payload = {
    "document_country": ,
    "document_type": "PASSPORT",
    "operation_type": "IDENTITY_RESUBMISSION_KYC",
    "translation_required": "true"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/screenings/manual-verification';
const form = new FormData();
form.append('additional', '<file1>');
form.append('back', '<file1>');
form.append('document_country', '');
form.append('document_type', 'PASSPORT');
form.append('front', 'string');
form.append('operation_type', 'IDENTITY_RESUBMISSION_KYC');
form.append('proof_of_residence', '<file1>');
form.append('selfie_with_id', 'string');
form.append('translation_required', 'true');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/screenings/manual-verification"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/screenings/manual-verification")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/screenings/manual-verification")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/screenings/manual-verification', [
  'multipart' => [
    [
        'name' => 'additional',
        'filename' => '<file1>',
        'contents' => null
    ],
    [
        'name' => 'back',
        'filename' => '<file1>',
        'contents' => null
    ],
    [
        'name' => 'document_type',
        'contents' => 'PASSPORT'
    ],
    [
        'name' => 'front',
        'filename' => 'string',
        'contents' => null
    ],
    [
        'name' => 'operation_type',
        'contents' => 'IDENTITY_RESUBMISSION_KYC'
    ],
    [
        'name' => 'proof_of_residence',
        'filename' => '<file1>',
        'contents' => null
    ],
    [
        'name' => 'selfie_with_id',
        'filename' => 'string',
        'contents' => null
    ],
    [
        'name' => 'translation_required',
        'contents' => 'true'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/screenings/manual-verification");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"additional\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"back\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_country\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"document_type\"\r\n\r\nPASSPORT\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"front\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"operation_type\"\r\n\r\nIDENTITY_RESUBMISSION_KYC\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"proof_of_residence\"; filename=\"<file1>\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"selfie_with_id\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"translation_required\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "additional",
    "fileName": "<file1>"
  ],
  [
    "name": "back",
    "fileName": "<file1>"
  ],
  [
    "name": "document_country",
    "value": 
  ],
  [
    "name": "document_type",
    "value": "PASSPORT"
  ],
  [
    "name": "front",
    "fileName": "string"
  ],
  [
    "name": "operation_type",
    "value": "IDENTITY_RESUBMISSION_KYC"
  ],
  [
    "name": "proof_of_residence",
    "fileName": "<file1>"
  ],
  [
    "name": "selfie_with_id",
    "fileName": "string"
  ],
  [
    "name": "translation_required",
    "value": "true"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/screenings/manual-verification")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```